require 'spec_helper'

describe CreateDossierGroup do
  let(:session) { Fabricate :roqua_core_api_token_session }

  it 'performs a post on the /dossier_groups api path' do
    expect(session).to receive(:post).with('/dossier_groups', dossier_group: {some: 'attributes'},
                                                              organization_id: 'some_organization_id')
                                     .and_return("dossier_group" => {})
    CreateDossierGroup.run!(session: session, attributes: {some: 'attributes'}, organization_id: 'some_organization_id')
  end

  it 'returns a DossierGroup model' do
    allow(session).to receive(:post).with('/dossier_groups', dossier_group: {some: 'attributes'},
                                                             organization_id: 'some_organization_id')
                                    .and_return('dossier_group' => {'id' => 'some_id', 'name' => 'some_name'})
    dossier_group = CreateDossierGroup.run!(session: session,
                                            attributes: {some: 'attributes'},
                                            organization_id: 'some_organization_id')
    expect(dossier_group).to be_a(DossierGroup)
    expect(dossier_group.id).to eq('some_id')
    expect(dossier_group.name).to eq('some_name')
  end
end
