require 'spec_helper'

describe SendTextMessageTo do
  let(:session) { Sessions::BasicAuthSession.new }
  before { allow(Sessions::BasicAuthSession).to receive(:new).and_return session }

  it 'performs a post on the text_messages api path providing the person_id and the text_message attributes' do
    text_message_attributes = { body: 'some_body',
                                reference: 'some_reference'}
    expect(session).to receive(:post).with '/text_messages', person_id: 'some_person_id',
                                                             text_message: text_message_attributes
    SendTextMessageTo.run!(session: session, person_id: 'some_person_id', attributes: text_message_attributes)
  end
end
